/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.CategoriaClaseDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaClase;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("categoriaClaseDAO")
public class CategoriaClaseHibernateDAO extends GenericHibernateDAO<CategoriaClase, Integer>
        implements CategoriaClaseDAO {

    @Autowired
    public CategoriaClaseHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public CategoriaClase busquedaPoCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoriaCtrl", categoriaCtrl));

        return (CategoriaClase) c.uniqueResult();
    }

    @Override
    public List<CategoriaClase> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
